function OnNavigateComplete(Object)

--m_simpleTV.jsUnpacker.EncodeText
local scr
if m_simpleTV.jsUnpacker.PreScr~=nil then
	scr = m_simpleTV.jsUnpacker.PreScr
    --debug_in_file(scr .. '\n\n\n') 
    m_simpleTV.Dialog.ExecScript(Object,scr,"javascript")
end	
 
 scr = "var idd = document.getElementById('dtext');if (idd != null) idd.innerHTML = " .. m_simpleTV.jsUnpacker.EncodeText
 m_simpleTV.Dialog.ExecScript(Object,scr,"javascript")
 
 m_simpleTV.jsUnpacker.DecodeText =  m_simpleTV.Dialog.GetElementHtml(Object,'dtext')
 
 --debug_in_file(m_simpleTV.jsUnpacker.DecodeText .. '\n') 
 
 if m_simpleTV.jsUnpacker.NotHide==true then return end
 m_simpleTV.Dialog.Close(Object);
end